# Uses of Class
com.google.protobuf.MapEntry

Packages that use MapEntry
Package
Description
com.google.protobuf

## Uses of MapEntry in com.google.protobuf

Methods in com.google.protobuf that return MapEntry
Modifier and Type
Method
Description
`MapEntry<K,V>`
MapEntry.Builder.`build()`
`MapEntry<K,V>`
MapEntry.Builder.`buildPartial()`
`MapEntry<KeyT,MessageT>`
MapFieldBuilder.Converter.`defaultEntry()`
`MapEntry<K,V>`
MapEntry.Builder.`getDefaultInstanceForType()`
`MapEntry<K,V>`
MapEntry.`getDefaultInstanceForType()`
`static <K, V> MapEntry<K,V>`
MapEntry.`newDefaultInstance(Descriptors.Descriptor descriptor, WireFormat.FieldType keyType, K defaultKey, WireFormat.FieldType valueType, V defaultValue)`
Create a default MapEntry instance.
Methods in com.google.protobuf that return types with arguments of type MapEntry
Modifier and Type
Method
Description
`Parser<MapEntry<K,V>>`
MapEntry.`getParserForType()`
Methods in com.google.protobuf with parameters of type MapEntry
Modifier and Type
Method
Description
`MapField<KeyT,MessageT>`
MapFieldBuilder.`build(MapEntry<KeyT,MessageT> defaultEntry)`
Converts this MapFieldBuilder to a MapField.
`static <K, V> MapField<K,V>`
MapField.`emptyMapField(MapEntry<K,V> defaultEntry)`
Returns an immutable empty MapField.
`static <K, V> MapField<K,V>`
MapField.`newMapField(MapEntry<K,V> defaultEntry)`
Creates a new mutable empty MapField.
`protected static <V> void`
GeneratedMessage.`serializeBooleanMapTo(CodedOutputStream out, MapField<Boolean,V> field, MapEntry<Boolean,V> defaultEntry, int fieldNumber)`
`protected static <V> void`
GeneratedMessage.`serializeIntegerMapTo(CodedOutputStream out, MapField<Integer,V> field, MapEntry<Integer,V> defaultEntry, int fieldNumber)`
`protected static <V> void`
GeneratedMessage.`serializeLongMapTo(CodedOutputStream out, MapField<Long,V> field, MapEntry<Long,V> defaultEntry, int fieldNumber)`
`protected static <V> void`
GeneratedMessage.`serializeStringMapTo(CodedOutputStream out, MapField<String,V> field, MapEntry<String,V> defaultEntry, int fieldNumber)`